
package de.ivu.elect.presentation.wahl.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.wahl.WahlartSearchView;

public class WahlartSearchMenuItemEntry extends AbstractWahlartMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public WahlartSearchMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.WAHLART_SEARCH;
  }

  @Override
  public String getTargetViewId() {
    return WahlartSearchView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getMehrzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.search.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconSearch();
  }
}
